package OnlineShop.domain;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.*;
import OnlineShop.domain.ExceptionsKlassen.*;

public class Kaufhalle {
	private ArrayList<Produkt> produkte;
	private ArrayList<Kunde> kunden;

	public Kaufhalle() throws FileNotFoundException {
		this.produkte = new ArrayList<>();
		this.kunden = new ArrayList<>();
	}

	public void addProduktZuWarenkorb(String Produktname) throws ProduktNichtGefundenException, KundeNichtGefundenException {
		Produkt neueProdukt = findeProduktImKaufhalle(Produktname);
		if (neueProdukt == null)
			throw new ProduktNichtGefundenException("Produkt ist nicht Verfügbar!");
		
		
	}
	
	private Kunde findKunde(String kundeName) {
		for (Kunde kunde : kunden)
			if (kunde.getName().equalsIgnoreCase(kundeName))
				return kunde;
		
		return null;
	}

	

	public boolean produkteLaden() throws FileNotFoundException {
		Scanner sc = new Scanner(
				new File("C:\\Users\\obaya\\git\\OnlineShop2024\\OnlineShop2024\\resources\\produkte.csv"));

		int cnt = 0;
		while (sc.hasNextLine()) {
			String produkt = sc.nextLine();

			if (produkt.startsWith("Name"))
				continue;

			String[] spalten = produkt.split(";");
			spalten[2] = spalten[2].replaceAll(",", ".");
			spalten[3] = spalten[3].substring(0, spalten[3].indexOf(","));
			spalten[4] = spalten[4].substring(0, spalten[4].indexOf(","));

			produkte.add(new Produkt(spalten[0], spalten[1], Float.parseFloat(spalten[2]), Integer.parseInt(spalten[3]),
					Integer.parseInt(spalten[4])));
			cnt++;
		}

		sc.close();
		return true;
	}

	public ArrayList<String> zeigeProdukte() {
		ArrayList<String> allProdukte = new ArrayList<>();
		int index = 1;
		for (Produkt p : produkte)
			allProdukte.add(index++ + ".Produkt: " + p.print());

		return allProdukte;
	}

	private Produkt findeProduktImKaufhalle(String name) {

		for (Produkt p : produkte)
			if (p.getName().equalsIgnoreCase(name))
				return p;

		return null;
	}
	
	
	

}
